Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sun.msv.util
Class StartTagInfo

    java.lang.Object
      com.sun.msv.util.StartTagInfo

public class StartTagInfo
extends java.lang.Object

immutable start tag information

Author:
  Kohsuke KAWAGUCHI

Field Summary
`org.xml.sax.Attributes` | `attributes`
`IDContextProvider2` | `context` object that provides additional information which is necessary for validating some datatypes
`java.lang.String` | `localName`
`java.lang.String` | `namespaceURI`
`java.lang.String` | `qName`

Constructor Summary
`StartTagInfo(java.lang.String namespaceURI, java.lang.String localName, java.lang.String qName, org.xml.sax.Attributes attributes)`
`StartTagInfo(java.lang.String namespaceURI, java.lang.String localName, java.lang.String qName, org.xml.sax.Attributes attributes, IDContextProvider context)` Deprecated.
`StartTagInfo(java.lang.String namespaceURI, java.lang.String localName, java.lang.String qName, org.xml.sax.Attributes attributes, IDContextProvider2 context)`

Method Summary
`boolean` | `containsAttribute(java.lang.String attrName)`
`boolean` | `containsAttribute(java.lang.String namespaceURI, java.lang.String attrName)`
`java.lang.String` | `getAttribute(java.lang.String attrName)` gets value of the specified attribute.
`java.lang.String` | `getAttribute(java.lang.String namespaceURI, java.lang.String attrName)`
`java.lang.String` | `getCollapsedAttribute(java.lang.String attrName)`
`java.lang.String` | `getDefaultedAttribute(java.lang.String attrName, java.lang.String defaultValue)`
`java.lang.String` | `getDefaultedAttribute(java.lang.String namespaceURI, java.lang.String attrName, java.lang.String defaultValue)`
`void` | `reinit(java.lang.String namespaceURI, java.lang.String localName, java.lang.String qName, org.xml.sax.Attributes attributes, IDContextProvider context)` Deprecated.
`void` | `reinit(java.lang.String namespaceURI, java.lang.String localName, java.lang.String qName, org.xml.sax.Attributes attributes, IDContextProvider2 context)` re-initialize the object with brand new parameters.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### namespaceURI

    public java.lang.String namespaceURI

### localName

    public java.lang.String localName

### qName

    public java.lang.String qName

### attributes

    public org.xml.sax.Attributes attributes

### context

    public IDContextProvider2 context

  object that provides additional information which is necessary for validating some datatypes

Constructor Detail

### StartTagInfo

    public StartTagInfo(java.lang.String namespaceURI,
                        java.lang.String localName,
                        java.lang.String qName,
                        org.xml.sax.Attributes attributes,
                        IDContextProvider context)

  Deprecated.

### StartTagInfo

    public StartTagInfo(java.lang.String namespaceURI,
                        java.lang.String localName,
                        java.lang.String qName,
                        org.xml.sax.Attributes attributes,
                        IDContextProvider2 context)

### StartTagInfo

    public StartTagInfo(java.lang.String namespaceURI,
                        java.lang.String localName,
                        java.lang.String qName,
                        org.xml.sax.Attributes attributes)

Method Detail

### reinit

    public void reinit(java.lang.String namespaceURI,
                       java.lang.String localName,
                       java.lang.String qName,
                       org.xml.sax.Attributes attributes,
                       IDContextProvider context)

  Deprecated.

### reinit

    public void reinit(java.lang.String namespaceURI,
                       java.lang.String localName,
                       java.lang.String qName,
                       org.xml.sax.Attributes attributes,
                       IDContextProvider2 context)

  re-initialize the object with brand new parameters.

### containsAttribute

    public final boolean containsAttribute(java.lang.String attrName)

### containsAttribute

    public final boolean containsAttribute(java.lang.String namespaceURI,
                                           java.lang.String attrName)

### getAttribute

    public final java.lang.String getAttribute(java.lang.String attrName)

  gets value of the specified attribute.

  Returns:
    null attribute does not exist.

### getAttribute

    public final java.lang.String getAttribute(java.lang.String namespaceURI,
                                               java.lang.String attrName)

### getCollapsedAttribute

    public final java.lang.String getCollapsedAttribute(java.lang.String attrName)

### getDefaultedAttribute

    public final java.lang.String getDefaultedAttribute(java.lang.String attrName,
                                                        java.lang.String defaultValue)

### getDefaultedAttribute

    public final java.lang.String getDefaultedAttribute(java.lang.String namespaceURI,
                                                        java.lang.String attrName,
                                                        java.lang.String defaultValue)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD